﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <!-- Thêm thư viện moment.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

    <script src="/assets/js/vendor/bootstrap-datepicker.min.js"></script>
    <script src="/controller/plan/plan.js" asp-append-version="true"></script>
    <script>
        $(function () {
            // Thiết lập datetimepicker Bootstrap với định dạng ngày giờ theo ngày Việt Nam
            $(".datetimepicker").datepicker({
                format: 'dd-mm-yyyy'
            });
        });
    </script>

}

@section Styles{
    <link href="/assets/css/vendor/bootstrap-datepicker.min.css" rel="stylesheet" />
    <link href="/lib/template-admin/ckeditor/skins/moono/editor.css" rel="stylesheet" />
    <style>
        .form-check {
            margin-bottom: 5px !important;
        }

        .form-check-input {
            cursor: pointer;
        }
    </style>
}
<div class="container-fluid">
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="card" style="margin-top:20px;">
                <div class="card-body" id="apply-payment">
                    @{
                        if (resultCreate.Succeeded)
                        {
                            <a onclick="SavePlan()" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                        }
                    }
                    <a href="/cpanel/plan/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin kế hoạch</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông kế hoạch
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>
                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtPlanCode" class="lh-38">Mã kế hoạch <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="hidden" id="txtPlanId" name="txtPlanId" class="form-control" required />
                                    <input type="text" id="txtPlanCode" name="txtPlanCode" class="form-control" placeholder="Mã kế hoạch" required />
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="txtPlanName" class="lh-38">Tên kế hoạch <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" id="txtPlanName" name="txtPlanName" class="form-control" placeholder="Tên kế hoạch" required />
                                </div>
                            </div>
                        </div>

@*                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlContainers" class="lh-38">Container (CTR) <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-control select2" id="ddlContainers" data-toggle="select2">
                                    </select>
                                    <input type="hidden" id="txtContainerCode" />
                                </div>
                            </div>
                        </div>*@
                    </form>

                </div> <!-- end card-body -->
            </div>

        </div>

        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin chung</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông chung
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>
@*                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="dtPlanDate" class="lh-38">Plan Date <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control datetimepicker" id="dtPlanDate" data-date-autoclose="true">
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="dtDueDate" class="lh-38">Due Date<span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control datetimepicker" id="dtDueDate" data-date-autoclose="true">
                                </div>
                            </div>
                        </div>*@

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlCustomer" class="lh-38">Chọn khách hàng <span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8">
                                    <select class="form-control select2 col-lg-9" data-toggle="select2" id="ddlCustomer">
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="form-group mb-2">
                            <div class="row">
                                <div class="col-md-4">
                                    <label for="ddlPOs" class="lh-38">PO<span style="color:red"> * </span></label>
                                </div>
                                <div class="col-md-8 list-add-po">
                                    <select class="form-control select2" id="ddlPOs" onchange="POChange()" data-toggle="select2">
                                    </select>
                                </div>
                            </div>
                        </div>

                        @*<div class="group-customer-with-po">
                        <div id="block-">
                        <div class="form-group mb-2">
                        <div class="row">
                        <div class="col-md-4">
                        <label for="ddlCustomer" class="lh-38">Chọn khách hàng <span style="color:red"> * </span></label>
                        </div>
                        <div class="col-md-8">
                        <select class="form-control select2 col-lg-9" data-toggle="select2" id="ddlCustomer">
                        </select>
                        </div>
                        </div>
                        </div>

                        <div class="form-group mb-2">
                        <div class="row">
                        <div class="col-md-4">
                        <label for="ddlCustomerPhone" class="lh-38">Số điện thoại</label>
                        <input type="hidden" id="txtCustomerDeposit" readonly name="txtCustomerDeposit" class="form-control" placeholder="Customer Deposit" required />
                        </div>
                        <div class="col-md-8">
                        <input type="text" id="txtPhone" readonly name="ddlCustomerPhone" class="form-control" placeholder="Số điện thoại" required />
                        </div>
                        </div>
                        </div>

                        <div class="form-group mb-2">
                        <div class="row">
                        <div class="col-md-4">
                        <label for="txtAddress" class="lh-38">Địa chỉ</label>
                        </div>
                        <div class="col-md-8">
                        <textarea id="txtAddress" rows="1" readonly name="txtAddress" class="form-control" placeholder="Địa chỉ"></textarea>
                        </div>
                        </div>
                        </div>
                        </div>
                        </div>*@
                    </form>

                </div> <!-- end card-body -->
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
@*                    <div class="row mb-2">
                        <div class="col-xl-6">
                        </div>
                        <div class="col-xl-6">
                            <button id="add-po" class="btn btn-primary float-end" onclick="addPORow()">Thêm PO</button>
                            <div class="text-xl-end mt-xl-0 mt-2">
                            <a class="btn btn-primary mb-2 me-2" onclick="AddProductInRow()"><i class="uil-plus"></i> Add</a>
                            </div>
                        </div><!-- end col-->
                    </div>*@

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap mb-0" id="tblProducts">
                            <thead class="table-light">
                                <tr>
                                    <th style="text-align:center">Sản phẩm</th>
                                    <th style="text-align:center">Item</th>
                                    <th style="text-align:center">Màu</th>
                                    <th style="text-align:center">Số lượng</th>
                                    <th style="text-align:center">Đơn giá</th>
                                    <th style="text-align:center">Deposit</th>
                                    <th style="text-align:center">Tổng tiền</th>
                                    <th style="text-align:center">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <div class="box-money">
                            <div class="mb-1"><b>Tổng Deposit:</b> <span id="spanTotalDeposit"></span> </div>
                            <div><b>Tổng tiền:</b> <span id="spanTotalMoney"></span></div>
                        </div>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
</div>


